gov.ornl.mercury3.services

## Class TransformedFilesDAO

- java.lang.Object
- - org.springframework.dao.support.DaoSupport
  - - org.springframework.orm.hibernate3.support.HibernateDaoSupport
    - - gov.ornl.mercury3.services.TransformedFilesDAO

- All Implemented Interfaces:
    org.springframework.beans.factory.InitializingBean

      public class TransformedFilesDAO
      extends org.springframework.orm.hibernate3.support.HibernateDaoSupport

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CKSUM`
    `static String` | `FILE_CONTENT`
    `static String` | `FILE_NAME`
    `static String` | `FILE_URL`

    - ### Fields inherited from class org.springframework.dao.support.DaoSupport

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformedFilesDAO()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attachClean(TransformedFiles instance)`
    `void` | `attachDirty(TransformedFiles instance)`
    `void` | `delete(TransformedFiles persistentInstance)`
    `List` | `findAll()`
    `List` | `findByCksum(Object cksum)`
    `List` | `findByExample(TransformedFiles instance)`
    `List` | `findByFileContent(Object fileContent)`
    `List` | `findByFileName(Object fileName)`
    `List` | `findByFileUrl(Object fileUrl)`
    `TransformedFiles` | `findById(Integer id)`
    `List` | `findByProperty(String propertyName, Object value)`
    `static TransformedFilesDAO` | `getFromApplicationContext(org.springframework.context.ApplicationContext ctx)`
    `protected void` | `initDao()`
    `TransformedFiles` | `merge(TransformedFiles detachedInstance)`
    `void` | `save(TransformedFiles transientInstance)`

    - ### Methods inherited from class org.springframework.orm.hibernate3.support.HibernateDaoSupport

      `checkDaoConfig, convertHibernateAccessException, createHibernateTemplate, getHibernateTemplate, getSession, getSession, getSessionFactory, releaseSession, setHibernateTemplate, setSessionFactory`

    - ### Methods inherited from class org.springframework.dao.support.DaoSupport

      `afterPropertiesSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FILE_NAME

          public static final String FILE_NAME

      See Also:
        Constant Field Values

    - #### FILE_CONTENT

          public static final String FILE_CONTENT

      See Also:
        Constant Field Values

    - #### FILE_URL

          public static final String FILE_URL

      See Also:
        Constant Field Values

    - #### CKSUM

          public static final String CKSUM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TransformedFilesDAO

          public TransformedFilesDAO()

  - ### Method Detail

    - #### initDao

          protected void initDao()

      Overrides:
        `initDao` in class `org.springframework.dao.support.DaoSupport`

    - #### save

          public void save(TransformedFiles transientInstance)

    - #### delete

          public void delete(TransformedFiles persistentInstance)

    - #### findById

          public TransformedFiles findById(Integer id)

    - #### findByExample

          public List findByExample(TransformedFiles instance)

    - #### findByProperty

          public List findByProperty(String propertyName,
                            Object value)

    - #### findByFileName

          public List findByFileName(Object fileName)

    - #### findByFileContent

          public List findByFileContent(Object fileContent)

    - #### findByFileUrl

          public List findByFileUrl(Object fileUrl)

    - #### findByCksum

          public List findByCksum(Object cksum)

    - #### findAll

          public List findAll()

    - #### merge

          public TransformedFiles merge(TransformedFiles detachedInstance)

    - #### attachDirty

          public void attachDirty(TransformedFiles instance)

    - #### attachClean

          public void attachClean(TransformedFiles instance)

    - #### getFromApplicationContext

          public static TransformedFilesDAO getFromApplicationContext(org.springframework.context.ApplicationContext ctx)

Copyright © 2016. All rights reserved.